[ltt-dev] gdb-7.2 can't build with lttng-ust-0.12

Tom Tromey tromey@redhat.com
Wed Apr 27 14:32:00 GMT 2011


>>>>> "Mathieu" == Mathieu Desnoyers <compudj@krystal.dyndns.org> writes:

Mathieu> The only concern here is the packaging: if we depend on sdt.h,
Mathieu> we have to either ship it with UST, or have one more dependency
Mathieu> on a package available for all architectures that only contain
Mathieu> this header. Thoughts ?

One typical way to handle this is to put a copy of the code into your
tree, but provide an option to use the system version instead.  E.g.,
GDB does this with readline.  This makes it build fine out of the box
for casual users, but is also friendly to distros.  This implies some
discipline on your part -- updating regularly and not diverging.

Alternatively, split sdt.h out into its own project and make it a
build-time requirement of both stap and ust.  This seems pretty
heavy-weight for a couple of header files, though.

Tom



More information about the Gdb mailing list